use costrep                
copy structure to temp
use temp
store val($(adv,1,10)) to adv:fpp
store val($(adv,12,10)) to adv:act
store val($(ic,1,10)) to ic:fpp
store val($(ic,12,10)) to ic:act
erase
@ 1,30 say "type s om te stoppen"
@ 2,30 say "<ENTER> to continue"
wait to continue
do while continue <> 'S' .and. continue <> 's'
   append  blank           
   @ 6,5 say "adv/fpp" get adv:fpp
   @ 6,25 say "adv/act" get adv:act
   @ 7,5 say "ic/fpp" get ic:fpp
   @ 7,25 say "ic/act" get ic:act
   read
   clear gets                                      
   @ 20,55 say "type <ENTER> to continue"
   @ 21,55 say "type s voor beeindiging"
   wait to continue
enddo
replace adv with str(adv:fpp,10,2) + ":" + str(adv:act,10,2)
replace ic with str(ic:fpp,10,2) + ":" + str(ic:act,10,2)
use costrep
append from temp  
return
